Page 1 of 1

SDK Required

Posted: Thu May 05, 2016 5:36 pm
by ahmed.abdin
Dear All

i have an issue, i get the new Xado rephone with GPS module, and I developed the sample thins as demo.
now i need the SDK if it available for Xado Rephone, to complete my project using Arduino 1.6.0 or higher

Re: SDK Required

Posted: Sat May 07, 2016 3:06 pm
by dbelam
Which sdk? The one for the Eclipse with the Mediatek SDK?

Re: SDK Required

Posted: Sun May 08, 2016 4:57 pm
by ahmed.abdin
Hi dbelam,
We use Arduino_IDE_for_RePhone_Kit and Arduino 1.6.0 IDE in the following link
http://www.seeedstudio.com/wiki/Arduino ... ePhone_Kit
but we have an issue in the accurcy for the GPS Reading as there is difference 50 Kmeter in longitude. this is my problem, any help?

Re: SDK Required

Posted: Sun May 08, 2016 6:46 pm
by dbelam
Oh you also found the GPS bug.
You have to get the new firmware and reflash the GPS module, a whole thread is about it, you can find every answer there:
http://www.seeedstudio.com/forum/viewto ... =71&t=6684

Re: SDK Required

Posted: Wed May 18, 2016 6:10 pm
by ahmed.abdin
Hi dbelam,
Thank you for your reply, I still have the same problem and your recommended post doesn't help me in my problem.
I add the solution in the post in my code but there is difference in the longitude about 50 Km.
So there is any solution for my problem to get at least the GPS location in accurate.
Thanks

Re: SDK Required

Posted: Thu May 19, 2016 2:33 am
by dbelam
You can add the solution, it won't help - the GPS module, not the rephone has bad firmware. You can do anything with the rephone, it will always show the bad value because the GPS sends the bad value. Reflash the GPS module itself, not rephone.

Re: SDK Required

Posted: Mon May 23, 2016 4:58 pm
by ahmed.abdin
how to re flash GPS module? Please inform me in details to be able to reflash GPS firmware on the Arduino IDE version 1.6.0
Thanks